# ppdhtml(1)

## Name

ppdhtml - cups html summary generator (deprecated)

## Synopsis

ppdhtml [ -D name[=value] ] [ -I include-directory ] source-file

## Description

ppdhtml reads a driver information file and produces a HTML summary page that lists all of the drivers in a file and the supported options. This program is deprecated and will be removed in a future release of CUPS.

## Options

ppdhtml supports the following options:

-D name[=value]
  Sets the named variable for use in the source file. It is equivalent to using the #define directive in the source file.
-I include-directory
  Specifies an alternate include directory. Multiple -I options can be supplied to add additional directories.

## Notes

PPD files are deprecated and will no longer be supported in a future feature release of CUPS. Printers that do not support IPP can be supported using applications such as ippeveprinter(1).

## See Also

ppdc(1), ppdcfile(5), ppdi(1), ppdmerge(1), ppdpo(1), CUPS Online Help (http://localhost:631/help)

## Copyright

Copyright © 2007-2019 by Apple Inc.